package my.pkg;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import my.pkg.MyService;

import org.springframework.beans.factory.annotation.Autowired;


/**
 * Servlet implementation class AutowiringServlet
 */
public class AutowiringServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	@Autowired
	private MyService myService;
	
	@Override
	protected void service(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		super.service(req, resp);
	}
	
	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		if (myService != null) {
			resp.getOutputStream().print("I use " + myService.myServiceInfo());
		} else {
			resp.getOutputStream().print("myService object was not wired!");
		}
	}
	
	
	

}
